"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpers_1 = require("../helpers");
exports.atom = {
    validate: function (message) {
        var MAX_LENGTH = 72;
        var EMOJIS = [
            ":art:",
            ":racehorse:",
            ":non-potable_water:",
            ":memo:",
            ":penguin:",
            ":apple:",
            ":checkered_flag:",
            ":bug:",
            ":fire:",
            ":green_heart:",
            ":white_check_mark:",
            ":lock:",
            ":arrow_up:",
            ":arrow_down:",
            ":shirt:"
        ];
        var PATTERN = new RegExp("^(" + EMOJIS.join("|") + ")(?: )(?:.*)$");
        message = message.split("\n").shift();
        if (message.length > MAX_LENGTH) {
            helpers_1.log("Message is longer than " + MAX_LENGTH + " characters!", "error");
            return false;
        }
        var match = PATTERN.exec(message);
        if (!match) {
            helpers_1.log("Message does not match \"<emoji> <subject>\"! was: " + message, "error");
            helpers_1.log("Valid emojis are: " + EMOJIS.join(", "), "info");
            return false;
        }
        return true;
    }
};
