"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpers_1 = require("../helpers");
exports.ember = {
    validate: function (message) {
        var TAGS = ["DOC", "FEATURE", "BUGFIX", "SECURITY"];
        var TAG = "(" + TAGS.join("|") + ")";
        var MESSAGE = "(.*)";
        var GIT_MESSAGE = "(.*)";
        var VALID_CHANNELS = ["canary", "beta", "release"];
        var PATTERN = new RegExp("^\\[" + TAG + " " + MESSAGE + "\\] " + GIT_MESSAGE);
        message = message
            .trim()
            .split("\n")
            .shift();
        var match = PATTERN.exec(message);
        if (!match) {
            PATTERN = new RegExp("^\\[" + TAG + "\\] " + GIT_MESSAGE);
            match = PATTERN.exec(message);
        }
        if (!match) {
            helpers_1.log('Message does not match "[<tag> <message>] <git-message>"', "error");
            helpers_1.log("Given: \"" + message + "\".", "info");
            return false;
        }
        var tag = match[1];
        var msg = match[2];
        if (tag === "DOC" && VALID_CHANNELS.indexOf(msg) === -1) {
            helpers_1.log("Not a valid channel for DOC", "error");
            helpers_1.log("Valid channels are " + VALID_CHANNELS.join(", "));
            return false;
        }
        return true;
    }
};
