"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpers_1 = require("../helpers");
exports.jquery = {
    validate: function (message) {
        var SUBJECT_MAX_LENGTH = 72;
        var LONG_DESCRIPTION_MAX_LENGTH = 80;
        var SUBJECT_PATTERN = /^(\w*): ([\w\s\S]*[^.])$/;
        var messageParts = message
            .trim()
            .split("\n")
            .map(function (line) { return line.trim(); });
        var subject = messageParts[0];
        var match = SUBJECT_PATTERN.exec(subject);
        if (subject.length > SUBJECT_MAX_LENGTH) {
            helpers_1.log("Subject is longer than " + SUBJECT_MAX_LENGTH + " characters.", "error");
            return false;
        }
        if (!match) {
            helpers_1.log('Subject does not match "Component: Short Description".', "error");
            helpers_1.log("Given: \"" + subject + "\".", "info");
            return false;
        }
        var isMessageLengthValid = messageParts.slice(1).every(function (part) {
            return part.length < LONG_DESCRIPTION_MAX_LENGTH;
        });
        if (!isMessageLengthValid) {
            helpers_1.log("Line lengths (except the subject one) should be wrapped at " + LONG_DESCRIPTION_MAX_LENGTH + " columns.", "error");
            return false;
        }
        return true;
    }
};
